=== debian/changelog ===
phabricator (0~git20150211-1) unstable; urgency=medium

  * New snapshot release
  * updated german translation
  * fixed daemons not starting with unprivileged user

 -- Richard Sellam <richard.sellam@orvidia.fr>  Wed, 11 Feb 2015 14:13:38 +0100

phabricator (0~git20150129-2) unstable; urgency=medium

  * properly clean on purge (closes: #776666)

 -- Richard Sellam <richard.sellam@orvidia.fr>  Sat, 31 Jan 2015 08:16:29 +0100

phabricator (0~git20150129-1) unstable; urgency=medium

  * New snapshot release
  * restricted access to local config file (closes: #775479)
  * moved local config file to /var/lib/phabricator (closes: #775478)
  * switched mysql-server dependency to recommends (closes: #773536)
  * use /run instead of /var/run (closes: #775803)
  * prevent package reinstall from overwritting local changes (closes: #776288)

 -- Richard Sellam <richard.sellam@orvidia.fr>  Thu, 29 Jan 2015 00:15:58 +0100

phabricator (0~git20141130-1) unstable; urgency=medium

  * New upstream version
  * avoid mysql configuration in postinst if no credential provided
    (closes: #769534)
  * added portuguese to debconf translations (closes: #769615)
  * added german to debconf translations (closes: #768965)
  * added logrotate on phd log files
  * fixed po-debconf messages inconsistencies (closes: #768201)
  * added dutch to debconf translations (closes: #771597)

 -- Richard Sellam <richard.sellam@orvidia.fr>  Sun, 30 Nov 2014 23:52:12 +0100

phabricator (0~git20141101-1) unstable; urgency=medium

  * New upstream version
  * renamed translation po files so that they are used (closes: #767636)

 -- Richard Sellam <richard.sellam@orvidia.fr>  Sat, 01 Nov 2014 23:20:06 +0100

phabricator (0~git20141023-2) unstable; urgency=medium

  * arc & arcanist are conflicting. Make them conflict for real
    (Closes: #766955)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 28 Oct 2014 13:53:09 +0100

phabricator (0~git20141023-1) unstable; urgency=medium

  * Initial release (closes: #703046)

 -- Richard Sellam <richard.sellam@orvidia.fr>  Thu, 23 Oct 2014 20:49:26 +0200
