=== debian/changelog ===
phabricator (0~git20150803-1) unstable; urgency=medium

  * New snapshot release (closes: #789760)
  * renamed arcanist bash-completion file (closes: #791632)
  * depends on same version for libphutil (closes: #794462)
  * added php5-mysqlnd alternative depends (closes: #792136)

 -- Richard Sellam <richard.sellam@orvidia.fr>  Mon, 03 Aug 2015 23:28:35 +0200

phabricator (0~git20150613-1) unstable; urgency=medium

  * New snapshot release (closes: #787805)
  * fixed typo in logrotate script (closes: #787645)

 -- Richard Sellam <richard.sellam@orvidia.fr>  Sat, 13 Jun 2015 10:52:10 +0200

phabricator (0~git20150525-1) unstable; urgency=medium

  * New snapshot release
  * fix update postinst when using nginx (closes: #784221)

 -- Richard Sellam <richard.sellam@orvidia.fr>  Mon, 25 May 2015 22:45:19 +0200

phabricator (0~git20150428-1) unstable; urgency=medium

  * New snapshot release
  * fixed nginx configuration (closes: #779705)
  * start mysql before phd daemons, if available (closes: #780260, #780265)
  * fixed log files permissions (closes: #781825)
  * added spanish translation (closes: #783566)

 -- Richard Sellam <richard.sellam@orvidia.fr>  Tue, 28 Apr 2015 03:01:19 +0200
