=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 Package: arcanist
 Architecture: all
-Depends: libphutil, php5-cli, php5-curl, ${misc:Depends}
+Depends: libphutil (= ${source:Version}), php5-cli, php5-curl, ${misc:Depends}
 Conflicts: arc
 Suggests: python
 Description: Command line interface for Phabricator (review platform)
@@ -37,17 +37,17 @@
          dbconfig-common (>= 1.8.8),
          fonts-font-awesome,
          jq,
-         libapache2-mod-php5 | libapache2-mod-php5filter | php5,
+         libapache2-mod-php5 | libapache2-mod-php5filter | php5-fpm | php5,
          libjs-raphael,
-         libphutil,
+         libphutil (= ${source:Version}),
          php5-cli,
          php5-curl,
-         php5-mysql | php5-mysqli,
+         php5-mysql | php5-mysqli | php5-mysqlnd,
          po-debconf,
          ucf,
          ${misc:Depends}
 Recommends: apache2 (>= 2.2.7) | lighttpd | nginx | httpd, php5-apcu, php5-gd, mariadb-server | mysql-server
-Suggests: flashplugin-nonfree, python
+Suggests: python, npm
 Description: Software engineering platform
  Phabricator is an open source collection of web applications which make it
  easier to write, review, and share source code.
