=== debian/changelog ===
phabricator (0~git20160124-1ubuntu1) xenial; urgency=medium

  * Update references to php7.0 packages (LP: #1544352).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Fri, 12 Feb 2016 15:31:33 -0800

phabricator (0~git20160124-1) unstable; urgency=medium

  * New snapshot release
  * Updated debian/copyright
  * Provide a more complete manpage for arcanist (closes: #812210)

 -- Richard Sellam <richard.sellam@orvidia.fr>  Sun, 24 Jan 2016 00:19:32 +0100

phabricator (0~git20150906-1) unstable; urgency=medium

  * New snapshot release
  * use dpkg-statoverride in postinst/postrm (closes: #792140)
  * fixed apache config file for php-fpm (closes: #795256)
  * removed debian patch as it is no longer needed

 -- Richard Sellam <richard.sellam@orvidia.fr>  Sun, 06 Sep 2015 15:18:40 +0200
