=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: phabricator
 Section: web
 Priority: optional
-Maintainer: Richard Sellam <richard.sellam@orvidia.fr>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Richard Sellam <richard.sellam@orvidia.fr>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: debhelper (>= 9), po-debconf
 Standards-Version: 3.9.6
@@ -12,7 +13,7 @@
 Package: libphutil
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: php5-cli
+Recommends: php-cli
 Description: Shared library for Arcanist and Phabricator
  libphutil (pronounced as "lib-futile", like the English word futile)
  is principally the shared library for Arcanist and Phabricator,
@@ -23,7 +24,7 @@
 
 Package: arcanist
 Architecture: all
-Depends: libphutil (= ${source:Version}), php5-cli, php5-curl, ${misc:Depends}
+Depends: libphutil (= ${source:Version}), php-cli, php-curl, ${misc:Depends}
 Conflicts: arc
 Suggests: python
 Description: Command line interface for Phabricator (review platform)
@@ -37,16 +38,16 @@
          dbconfig-common (>= 1.8.8),
          fonts-font-awesome,
          jq,
-         libapache2-mod-php5 | libapache2-mod-php5filter | php5-fpm | php5,
+         libapache2-mod-php | libapache2-mod-phpfilter | php-fpm | php,
          libjs-raphael,
          libphutil (= ${source:Version}),
-         php5-cli,
-         php5-curl,
-         php5-mysql | php5-mysqli | php5-mysqlnd,
+         php-cli,
+         php-curl,
+         php-mysql | php-mysqli | php-mysqlnd,
          po-debconf,
          ucf,
          ${misc:Depends}
-Recommends: apache2 (>= 2.2.7) | lighttpd | nginx | httpd, php5-apcu, php5-gd, mariadb-server | mysql-server
+Recommends: apache2 (>= 2.2.7) | lighttpd | nginx | httpd, php-apcu, php-gd, mariadb-server | mysql-server
 Suggests: python, npm
 Description: Software engineering platform
  Phabricator is an open source collection of web applications which make it
