=== debian/rules ===
--- 
+++ 
@@ -37,9 +37,9 @@
 	echo "# Cleaning-up..."
 	$(RM) -r -v libphutil-$(VER)/src/parser/xhpast/bin/xhpast.exe
 	$(RM) -r -v arcanist-$(VER)/bin/arc.bat
+	@mv arcanist-$(VER)/resources/shell/bash-completion arcanist-$(VER)/resources/shell/arcanist.bash-completion
 	cd phabricator-$(VER)/phabricator/ && \
-	$(RM) -r -v webroot/rsrc/swf \
-		externals/twilio-php/docs \
+	$(RM) -r -v externals/twilio-php/docs \
 	    externals/wordlist \
 	    webroot/rsrc/externals/font/fontawesome \
 	    webroot/rsrc/externals/font/sourcesans \
