## phabricator 0~git20160726

=== debian/changelog ===
phabricator (0~git20160726-3) unstable; urgency=medium

  * Don't build Phabricator package.

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 09 Jan 2017 14:26:10 +0100

phabricator (0~git20160726-2) unstable; urgency=medium

  [ Baptiste Jammet ]
  * Update French debconf translation.

  [ Andrew Shadura ]
  * Update dependencies to make sure phabricator isn't installable on
    anything but php5, but arcanist is installable regardless.

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 02 Jan 2017 20:08:07 +0100

phabricator (0~git20160726-1) unstable; urgency=medium

  [ Richard Sellam ]
  * New snapshot release
  * Added Brazilian Portuguese translation (closes: #816951)
  * Replaced g.raphael with d3 3.5.14 (upstream change).
  * Added Danish translation (closes: #830654)

  [ Andrew Shadura ]
  * New maintainer (Closes: #836668).

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 24 Oct 2016 16:39:06 +0200

phabricator (0~git20160124-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove triggers added by the previous upload.

 -- Andrew Shadura <andrew.shadura@collabora.co.uk>  Sat, 22 Oct 2016 23:11:34 +0200

phabricator (0~git20160124-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add triggers to rebuild the phutil library map in Arcanist,
    necessary to support extending Arcanist with external code.

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 21 Oct 2016 20:53:32 +0200

phabricator (0~git20160124-1.1) unstable; urgency=medium

  [ Andrew Shadura ]
  * Non-maintainer upload.
  * Regenerate the manual page.

  [ Nishanth Aravamudan ]
  * Update references to php7.0 packages (LP: #1544352, Closes: #821472,
    #821543).

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 28 Sep 2016 22:45:18 +0200
