## phabricator 0~git20170812

=== debian/changelog ===
phabricator (0~git20170812-1) unstable; urgency=medium

  * New snapshot release
    - fix the arc stop issue (Closes: #797194)
  * Add the missing dependency on php-xml & php-curl from libphutil
    (Closes: #847306)
  * Fix spelling-error-in-readme-debian refered referred
  * Standards-Version updated to 4.0.0
  * Fix package-installs-into-obsolete-dir (bash completion)
  * Force LANG=C for svn to avoid some parsing error
    Stole here https://secure.phabricator.com/D16596
  * Update the dep to mysql (Closes: #848462)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 12 Aug 2017 20:26:04 +0200
