=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
  Richard Sellam <richard.sellam@orvidia.fr>,
  Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: debhelper (>= 9), po-debconf
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://phabricator.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/phabricator.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/phabricator.git
 
 Package: libphutil
 Architecture: all
-Depends: ${misc:Depends}
+Depends: php-xml, ${misc:Depends}
 Recommends: php-cli | php5-cli
 Description: Shared library for Arcanist and Phabricator
  libphutil (pronounced as "lib-futile", like the English word futile)
@@ -47,7 +47,7 @@
          po-debconf,
          ucf,
          ${misc:Depends}
-Recommends: apache2 (>= 2.2.7) | lighttpd | nginx | httpd, php5-apcu, php5-gd, mariadb-server | mysql-server
+Recommends: apache2 (>= 2.2.7) | lighttpd | nginx | httpd, php5-apcu, php5-gd, mariadb-server | default-mysql-server | virtual-mysql-server 
 Suggests: python, npm
 Description: Software engineering platform
  Phabricator is an open source collection of web applications which make it
