=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 VER  ?= $(subst $(DTYPE),,$(UVER))
 
 %:
-	dh $@
+	dh $@ -Nphabricator
 
 override_dh_clean:
 	debconf-updatepo
@@ -43,10 +43,20 @@
 	    externals/wordlist \
 	    webroot/rsrc/externals/font/fontawesome \
 	    webroot/rsrc/externals/font/sourcesans \
-	    webroot/rsrc/externals/raphael
+	    webroot/rsrc/externals/d3
 	$(RM) -r arcanist-$(VER)/.git* libphutil-$(VER)/.git* phabricator-$(VER)/phabricator/.git*
 	@echo "# Packing..."
 	XZ_OPT="-6v" tar -caf phabricator_$(VER).orig.tar.xz phabricator-$(VER)
 	XZ_OPT="-6v" tar -caf phabricator_$(VER).orig-arcanist.tar.xz arcanist-$(VER)
 	XZ_OPT="-6v" tar -caf phabricator_$(VER).orig-libphutil.tar.xz libphutil-$(VER)
 	rm -rf phabricator-$(VER) arcanist-$(VER) libphutil-$(VER)
+
+generate-manpage: debian/arc.1
+
+debian/arc.pod: debian/arc.cat1
+	debian/cat2pod < $< > $@
+
+debian/arc.1: debian/arc.pod
+	pod2man -r "" -c "User Commands" $< $@
+
+.PHONY: override_dh_clean get-orig-source generate-manpage
