## phabricator 0~git20180509

=== debian/changelog ===
phabricator (0~git20180509-2) unstable; urgency=medium

  * Add missing dependency on php-xml.
    Thanks to Simon Tatham (Closes: #897302)
  * Remove Andrew from the maintainer.
  * Standards-Version: 4.1.4

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 13 May 2018 18:24:46 +0200

phabricator (0~git20180509-1) unstable; urgency=medium

  * New snapshot release
  * Fix the puppet-line issue (Closes: #878157)
  * Add the russian translation. Thanks to Lev Lamberov for the patch
    (Closes: #883330)
  * Package moved to salsa
  * Standards-Version updated to 4.1.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 09 May 2018 09:57:57 +0200
