## phabricator 0~git20190207

=== debian/changelog ===
phabricator (0~git20190207-1) unstable; urgency=medium

  * New upstream release

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Remove trailing whitespaces

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 07 Feb 2019 14:01:34 +0100
