=== debian/changelog ===
phabricator (0~git20200925-1) unstable; urgency=medium

  * New upstream release
    - Fixes the warning with php/implode (Closes: #970904)
  * Update compat to 10

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 25 Sep 2020 09:59:46 +0200
