=== debian/control ===
--- 
+++ 
@@ -47,7 +47,7 @@
 #          po-debconf,
 #          ucf,
 #          ${misc:Depends}
-# Recommends: apache2 (>= 2.2.7) | lighttpd | nginx | httpd, php5-apcu, php5-gd, mariadb-server | default-mysql-server | virtual-mysql-server 
+# Recommends: apache2 (>= 2.2.7) | lighttpd | nginx | httpd, php5-apcu, php5-gd, mariadb-server | default-mysql-server | virtual-mysql-server
 # Suggests: python, npm
 # Description: Software engineering platform
 #  Phabricator is an open source collection of web applications which make it
