=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 VER  ?= $(subst $(DTYPE),,$(UVER))
 
 %:
-	dh $@ -Nphabricator
+	dh $@
 
 override_dh_clean:
 	debconf-updatepo
@@ -35,9 +35,10 @@
 	echo "# Copying git revision number..."
 	cd phabricator-$(VER); echo "based on git revision $$(git log -n1 --format=%H)." > phabricator/conf/local/VERSION; cd ..
 	echo "# Cleaning-up..."
-	$(RM) -r -v libphutil-$(VER)/src/parser/xhpast/bin/xhpast.exe
+	$(RM) -r -v arcanist-$(VER)/src/parser/xhpast/bin/xhpast.exe
 	$(RM) -r -v arcanist-$(VER)/bin/arc.bat
-	@mv arcanist-$(VER)/resources/shell/bash-completion arcanist-$(VER)/resources/shell/arcanist.bash-completion
+	@mv arcanist-$(VER)/support/shell/hooks/bash-completion.sh arcanist-$(VER)/support/shell/hooks/arcanist.bash-completion
+	chmod -x arcanist-$(VER)/support/unit/sleep.php
 	cd phabricator-$(VER)/phabricator/ && \
 	$(RM) -r -v externals/twilio-php/docs \
 	    externals/wordlist \
