=== debian/changelog ===
phabricator (0~git20220903-2) unstable; urgency=medium

  * Support invocation as "arcanist". Closes: #1020840

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Fri, 07 Oct 2022 20:06:13 +0200

phabricator (0~git20220903-1) unstable; urgency=medium

  * get-orig-source: Update github URLs to https, make reproducible
  * Update to latest commits upstream. Closes: #1003463
  * Revert "Provide the phabrication notification service "aphlict" as
    a separate package"
  * Install the arc program as arcanist. Closes: #919697

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 05 Sep 2022 20:02:43 +0200

phabricator (0~git20200925-3) experimental; urgency=medium

  * Upload to experimental
  * phabricator package:
    - Install more depencencies
    - postinst: Poke PHP and mysql configuration
    - Provide the phabrication notification service "aphlict" as a
      separate package

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 07 Jun 2021 13:58:06 +0200

phabricator (0~git20200925-2) experimental; urgency=medium

  * Upload to experimental
  * Re-enable phabricator package. Closes: #942529
  * Add phabricator patches from Nicolas Dandrimont, thanks
  * Add myself as uploader

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 26 Jan 2021 18:28:52 +0100
