=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer:  Sylvestre Ledru <sylvestre@debian.org>
 Uploaders:
- Richard Sellam <richard.sellam@orvidia.fr>
+ Christoph Biedl <debian.axhn@manchmal.in-ulm.de>,
 Build-Depends: debhelper (>= 9), po-debconf
 Standards-Version: 4.1.4
 Homepage: http://phabricator.org/
@@ -13,7 +13,7 @@
 Package: libphutil
 Architecture: all
 Depends: php-xml, ${misc:Depends}
-Recommends: php-cli | php5-cli
+Recommends: php-cli
 Description: Shared library for Arcanist and Phabricator
  libphutil (pronounced as "lib-futile", like the English word futile)
  is principally the shared library for Arcanist and Phabricator,
@@ -23,7 +23,7 @@
 
 Package: arcanist
 Architecture: all
-Depends: libphutil (= ${source:Version}), php-cli | php5-cli, php-curl | php5-curl, ${misc:Depends},
+Depends: libphutil (= ${source:Version}), php-cli, php-curl, ${misc:Depends},
  php-xml
 Conflicts: arc
 Suggests: python
@@ -34,20 +34,33 @@
 
 # Package: phabricator
 # Architecture: all
-# Depends: arcanist,
+# Depends: ${misc:Depends},
+#          arcanist,
+#          ca-certificates,
+#          crudini,
 #          dbconfig-common (>= 1.8.8),
 #          fonts-font-awesome,
+#          imagemagick,
 #          jq,
-#          libapache2-mod-php5 | libapache2-mod-php5filter | php5-fpm | php5,
+#          libapache2-mod-php | php-fpm,
 #          libjs-d3,
 #          libphutil (= ${source:Version}),
-#          php5-cli,
-#          php5-curl,
-#          php5-mysql | php5-mysqli | php5-mysqlnd,
+#          php-apcu,
+#          php-cli,
+#          php-curl,
+#          php-gd,
+#          php-mailparse,
+#          php-mbstring,
+#          php-mysql | php-mysqli | php-mysqlnd,
+#          php-zip,
+#          php,
 #          po-debconf,
+#          python3-pygments,
+#          python3-pkg-resources,
 #          ucf,
-#          ${misc:Depends}
-# Recommends: apache2 (>= 2.2.7) | lighttpd | nginx | httpd, php5-apcu, php5-gd, mariadb-server | default-mysql-server | virtual-mysql-server
+# Recommends:
+#    apache2 (>= 2.2.7) | lighttpd | nginx | httpd,
+#    mariadb-server | default-mysql-server | virtual-mysql-server,
 # Suggests: python, npm
 # Description: Software engineering platform
 #  Phabricator is an open source collection of web applications which make it
